List schedules
List the on-call schedules.
A Schedule determines the time periods that users are On-Call.
For more information see the API Concepts Document
Scoped OAuth requires: schedules.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseFilters the result, showing only the records whose name matches the query.
Array of additional details to include.
Value in
- "schedule_layers"
- "overrides_subschedule"
- "final_schedule"
Time zone in which results will be rendered. This will default to the current user's time zone and then the account's time zone.
tzinfoSpecify an user_id, and the schedule list API will return information about this user's next on-call.
The start of the date range over which you want to show schedule entries. Defaults to 2 weeks before until if an until is given. Optional parameter. When provided with include[] for schedule types, populates the rendered_schedule_entries fields in the response.
date-timeThe end of the date range over which you want to show schedule entries. Defaults to 2 weeks after since if a since is given. Optional parameter. When provided with include[] for schedule types, populates the rendered_schedule_entries fields in the response.
date-timeAn array of team IDs. Only results related to these teams will be returned. Account must have the teams ability to use this parameter.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
List audit records for a schedule GET
The returned records are sorted by the `execution_time` from newest to oldest. See [`Cursor-based pagination`](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for instructions on how to paginate through the result set. For more information see the [Audit API Document](https://developer.pagerduty.com/docs/rest-api-v2/audit-records-api/). Scoped OAuth requires: `audit_records.read`
Update a schedule PUT
Update an existing on-call schedule. A Schedule determines the time periods that users are On-Call. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#schedules) Scoped OAuth requires: `schedules.write`